define tablespace = "APEX"
define password = "Oracle#01"
define datafile = "/opt/oracle/oradata/ORCLCDB/ORCLPDB1/apex.dbf"
define basedir = "/opt/oracle/stage"
define httpport = "8080"

-- Change password for sys user (needed in ords)
alter user sys identified by &password;

-- Switch to container database
alter session set container = orclpdb1;

-- create tablespace
pro creating tablespace
create tablespace &tablespace datafile '&datafile' size 100M autoextend on next 1M;

-- install apex
pro installing apex
@apexins.sql &tablespace &tablespace TEMP /i/

set define on
-- Set admin passsword
pro Setting password: &password
BEGIN
    APEX_UTIL.set_security_group_id( 10 );
    
    APEX_UTIL.create_user(
        p_user_name       => 'ADMIN',
        p_email_address   => 'my@email.address',
        p_web_password    => '&password',
        p_developer_privs => 'ADMIN' );
        
    APEX_UTIL.set_security_group_id( null );
    COMMIT;
END;
/

set define on
pro creating rest config
@apex_rest_config &password &password

set define on
pro setting user passwords
ALTER USER APEX_LISTENER IDENTIFIED BY &password ACCOUNT UNLOCK;
ALTER USER APEX_PUBLIC_USER IDENTIFIED BY &password ACCOUNT UNLOCK;
ALTER USER APEX_REST_PUBLIC_USER IDENTIFIED BY &password ACCOUNT UNLOCK;


pro fails when never installed before
-- The next one will fail if you've never installed ORDS before. Ignore errors.
ALTER USER ORDS_PUBLIC_USER IDENTIFIED BY &password ACCOUNT UNLOCK;

pro All done
quit
